Option Strict Off
Option Explicit On
Imports System.Windows.Forms
'------------------------------------ 2024/03/23 ------------------------------------
Public Class frmMain

#Region "宣言"
    Private WithEvents ooKBOX As clsPatapata
    Private mOldWndState As FormWindowState = FormWindowState.Normal
    Private mSPRT_SplitterDistance比率 As Single = 0, mSPRTUP_SplitterDistance比率 As Single = 0
#End Region

#Region "Form Events"
    '▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼
    Private Function zzAppIniFileOp(ByVal Load_0_QueryUnload_1_Resize_2_DoIniSave_3 As Long, ByRef rwIniDataStr As String) As Boolean

        ''***********************************
        'Return False  'test time
        ''***********************************

        '◆◆◆メインホームにのみ設定するコード◆◆◆　メインホーム内からのみ呼び出します。
        '読出し時に　INI ファイルが存在しない場合は　False　を返します。
        If gggAppIniFile Is Nothing Then Return False
        Try
            Dim RETVAL As Boolean = False
            Dim Open0_Save1 As Long, opcode As Integer
            Open0_Save1 = Load_0_QueryUnload_1_Resize_2_DoIniSave_3
            With gggAppIniFile
                Select Case Open0_Save1
                    Case 0, 1
                        '******************************************************************************************************
                        opcode = 0
                        RETVAL = gggAppIniFile.OpenSaveMain(Open0_Save1, Me.Name + "@@@", Me, 五clsAppINI.cAppIniFormPostSize Or opcode)
                        '----------------------------------------------------------------
                        If Open0_Save1 = 1 Then
                            Dim t As String = TBOX.Text
                            If Len(t) > 10000 Then TBOX.Text = Mid(t, 1, 10000)
                        End If
                        gggbol = gggAppIniFile.OpenSaveMain(Open0_Save1, "Form.TBOX", Me, 0, TBOX, 五clsAppINI.cAppIniText Or 五clsAppINI.cAppIniTextSelSttLen, JiHisList, 五clsAppINI.cAppIniList)
                        '******************************************************************************************************
                        Dim sss As String = "" : Dim Key0 As String = Me.Name + "-KEYFontColor"
                        If Open0_Save1 = 0 Then
                            gggint = gggAppIniFile.OpenSaveString(Open0_Save1, Key0, Me, sss)
                            gggstr = ooKBOX.PropertysRW(Open0_Save1, sss)
                        Else
                            sss = ooKBOX.PropertysRW(Open0_Save1, "")
                            gggint = gggAppIniFile.OpenSaveString(Open0_Save1, Key0, Me, sss)
                        End If
                        '******************************************************************************************************
                        Dim cut As String = "$$##$$" : Dim Key1 As String = Me.Name + "-SplitterData"
                        Dim 倍数 As Integer = 10000
                        If Open0_Save1 = 0 Then
                            gggint = gggAppIniFile.OpenSaveString(Open0_Save1, Key1, Me, sss)
                            Dim wAry() As String = {""}
                            Dim m As Integer = Ⅹ文をカットして配列にする(sss, cut, wAry)
                            If m = 2 Then
                                mSPRT_SplitterDistance比率 = Math.Max(0.1, Math.Min(0.9, Val(wAry(1)) / 倍数))
                                mSPRTUP_SplitterDistance比率 = Math.Max(0.1, Math.Min(0.9, Val(wAry(2)) / 倍数))
                            End If
                        Else
                            sss = CStr(倍数 * (SPRT.SplitterDistance / SPRT.ClientRectangle.Height)) & cut
                            sss = sss & CStr(倍数 * (SPRTUP.SplitterDistance / SPRTUP.ClientRectangle.Width)) & cut
                            gggint = gggAppIniFile.OpenSaveString(Open0_Save1, Key1, Me, sss)
                        End If
                    Case 2
                        'それぞれのフォームで、位置とサイズのデーターを保存します。
                        RETVAL = gggAppIniFile.FormSizeDataSetOnReSize(Me)
                End Select
                '******************************************************************************************************
                'ユーザーアプリから明示的に INI ファイルを保存します。
                If Open0_Save1 = 1 Then
                    gggint = gggAppIniFile.IniFileSaveDo
                End If
                '******************************************************************************************************
            End With
            Return RETVAL
        Catch
            MsgBox(ErrorToString)
        End Try
        Return False
    End Function
    '▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲

    Private Sub frmMain_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        gggAppMainForm = Me
        ooKBOX = New clsPatapata
        gggbol = ooKBOX.AllContObjSetDel(1, SPRT, SPRTUP, TBOX, PCTBOX, btnMENU, JiKeyLblClear, JiKeyLblEdit, JiKeyLbl, JiKeyLblinListBox, JiHisList, JiHisBtn, JiLISTBOX, KanLISTBOX, btnJiKanListChg)
        gggbol = ooKBOX.AllContObjSetDelEX(1, btnUser, lblUSER, UserBoxPnl, UserBoxTxt, UserBoxLbl1, UserBoxLbl2, UserBoxLbl3, UserBoxLbl4, UserBoxLbl5, UserBoxLbl6, UserBoxLbl7, UserBoxLbl9, UserBoxLbl10, UserBoxLbl11, UserBoxLbl12, UserBoxLbl13, UserBoxLbl14, UserBoxLbl15)
        ooKBOX.DrawEnabled = False
        gggbol = ooKBOX.Make(PCTBOX)
        SPRT.Visible = False
        'qqqqq("frmMain_Load - 1")
        '******************************************************************
        gggAppIniFile = New 五clsAppINI                                             'オブジェクトを作成する。
        gggint = gggAppIniFile.SetIniFileName(ⅩAppフォルダ名(), ⅩAppタイトル名())  'INI ファイル名を設定する。
        '以下のいずれかのコードを使用する。
        Dim IniDataStr As String = ""
        If Not zzAppIniFileOp(0, IniDataStr) Then gggint = ⅩFormMove(gcoフォームをスクリーン中心に移動, Me) 'INI ファイルが存在しない場合に、このフォームを画面のセンターに表示するコード。
        'qqqqq("frmMain_Load - 3")
        '******************************************************************
        Me.Text = My.Application.Info.Title & "          " & "( .NET Framework  VB )"
        '******************************************************************
        If Me.WindowState <> FormWindowState.Normal Then
            Me.WindowState = FormWindowState.Normal
        End If
        'qqqqq("frmMain_Load - 5")
        Call frmMain_ResizeEnd(Nothing, Nothing)
        '******************************************************************
        If mSPRT_SplitterDistance比率 > 0 And mSPRTUP_SplitterDistance比率 > 0 Then
            SPRT.SplitterDistance = (SPRT.ClientRectangle.Height * mSPRT_SplitterDistance比率)
            SPRTUP.SplitterDistance = (SPRTUP.ClientRectangle.Width * mSPRTUP_SplitterDistance比率)
        Else
            SPRT.SplitterDistance = (SPRT.ClientRectangle.Height \ 3)
            SPRTUP.SplitterDistance = (SPRTUP.ClientRectangle.Width \ 2)
        End If
        mSPRT_SplitterDistance比率 = 0 : mSPRTUP_SplitterDistance比率 = 0
        '******************************************************************
        SPRT.Visible = True
        'qqqqq("frmMain_Load - 6")
        '******************************************************************
        ooKBOX.DrawEnabled = True
        ooKBOX.aapReSizeCallOK = True
        Call ooKBOX.PCTBOX_Resize(PCTBOX, Me.BackColor, True)
        gggbol = ooKBOX.firstShow()
        '******************************************************************
        mOldWndState = Me.WindowState
        '******************************************************************
        'qqqqq("frmMain_Load - 7")
        'qqqqq("PCTBOX = " & CStr(PCTBOX.Width) & ", " & CStr(PCTBOX.Height))
    End Sub

    Private Sub frmMain_Move(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Move
        gggint = zzAppIniFileOp(2, "")
    End Sub
    Private Sub frmMain_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        If Me.WindowState = FormWindowState.Minimized Then Return
        If Me.WindowState <> mOldWndState Then
            mOldWndState = Me.WindowState
            Call frmMain_ResizeEnd(Nothing, Nothing)
        End If
    End Sub
    Private Sub frmMain_ResizeEnd(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.ResizeEnd
        Dim xy As Integer = 15
        PanelBack.SetBounds(xy, xy, Me.ClientRectangle.Width - xy - xy, Me.ClientRectangle.Height - xy - xy, BoundsSpecified.All)
        gggint = zzAppIniFileOp(2, "")
        'qqqqq("PCTBOX = " & CStr(PCTBOX.Width) & ", " & CStr(PCTBOX.Height))
    End Sub
    Private Sub frmMain_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Dim IniDataStr As String = ""
        gggint = zzAppIniFileOp(1, IniDataStr)  '必ず呼び出します。
    End Sub
    Private Sub frmMain_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        gggbol = ooKBOX.AllContObjSetDelEX(0, btnUser, lblUSER, UserBoxPnl, UserBoxTxt, UserBoxLbl1, UserBoxLbl2, UserBoxLbl3, UserBoxLbl4, UserBoxLbl5, UserBoxLbl6, UserBoxLbl7, UserBoxLbl9, UserBoxLbl10, UserBoxLbl11, UserBoxLbl12, UserBoxLbl13, UserBoxLbl14, UserBoxLbl15)
        gggbol = ooKBOX.AllContObjSetDel(0, SPRT, SPRTUP, TBOX, PCTBOX, btnMENU, JiKeyLblClear, JiKeyLblEdit, JiKeyLbl, JiKeyLblinListBox, JiHisList, JiHisBtn, JiLISTBOX, KanLISTBOX, btnJiKanListChg)
        ooKBOX = Nothing
        gggAppMainForm = Nothing
    End Sub
#End Region

#Region "PanelBack_SPRT"
    Private Sub PanelBack_SizeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles PanelBack.SizeChanged
        SPRT.SetBounds(0, 0, PanelBack.ClientRectangle.Width, PanelBack.ClientRectangle.Height, BoundsSpecified.All)
    End Sub
    Private Sub SPRT_SizeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles SPRT.SizeChanged
        Call zzSPRT_Change_SetSubSonts()
    End Sub
    Private Sub SPRT_SplitterMoved(ByVal sender As Object, ByVal e As System.Windows.Forms.SplitterEventArgs) Handles SPRT.SplitterMoved
        Call zzSPRT_Change_SetSubSonts()
    End Sub
    Private Sub SPRTUP_SizeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles SPRTUP.SizeChanged
        Call zzSPRT_Change_SetSubSonts()
    End Sub
    Private Sub SPRTUP_SplitterMoved(ByVal sender As Object, ByVal e As System.Windows.Forms.SplitterEventArgs) Handles SPRTUP.SplitterMoved
        Call zzSPRT_Change_SetSubSonts()
    End Sub
    Private Sub zzSPRT_Change_SetSubSonts()
        SPRTUP.SetBounds(0, 0, SPRT.Panel1.ClientRectangle.Width, SPRT.Panel1.ClientRectangle.Height, BoundsSpecified.All)
        TBOX.SetBounds(0, 0, SPRTUP.Panel1.ClientRectangle.Width, SPRTUP.Panel1.ClientRectangle.Height, BoundsSpecified.All)
        PCTBOX.SetBounds(0, 0, SPRT.Panel2.ClientRectangle.Width, SPRT.Panel2.ClientRectangle.Height, BoundsSpecified.All)
        Dim w As Integer = SPRTUP.Panel2.ClientRectangle.Width : Dim h As Integer = SPRTUP.Panel2.ClientRectangle.Height
        JiLISTBOX.SetBounds(0, 0, w, h, BoundsSpecified.All)
        KanLISTBOX.SetBounds(0, 0, w, h, BoundsSpecified.All)
        btnJiKanListChg.Parent = SPRTUP.Panel2
        btnJiKanListChg.SetBounds(w - btnJiKanListChg.Width - 2, JiLISTBOX.Top + 2, 0, 0, BoundsSpecified.Location)
        '----------------------------------------
        Dim n As Integer = btnJiKanListChg.Height
        JiKeyLblEdit.Parent = SPRTUP.Panel2
        JiKeyLblEdit.SetBounds(btnJiKanListChg.Left - n, btnJiKanListChg.Top, n, n, BoundsSpecified.All)
        '----------------------------------------
        If ooKBOX IsNot Nothing Then Call ooKBOX.SPRT_or_SPRTUP_SplitterMoved()
        'qqqqq(CStr(SPRT.Panel2.Height))
    End Sub
    '***********************************************************************************************
    Private Sub PCTBOX_SizeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles PCTBOX.SizeChanged
        If ooKBOX Is Nothing Then Return
        If ooKBOX.DrawEnabled = False Then Return
        gggbol = ooKBOX.PCTBOX_Resize(PCTBOX, Me.BackColor, True)
    End Sub
    '***********************************************************************************************
    Private Sub PCTBOX_DragOver(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles PCTBOX.DragOver
        If ooKBOX IsNot Nothing Then Call ooKBOX.PCTBOX_DragOver(sender, e)
    End Sub
    Private Sub PCTBOX_DragDrop(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles PCTBOX.DragDrop
        If ooKBOX IsNot Nothing Then Call ooKBOX.PCTBOX_DragDrop(sender, e)
    End Sub
    '***********************************************************************************************
    Private Sub PCTBOX_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PCTBOX.MouseDown
        If ooKBOX IsNot Nothing Then Call ooKBOX.PCTBOX_MouseDown(sender, e)
    End Sub
    Private Sub PCTBOX_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PCTBOX.MouseMove
        If ooKBOX IsNot Nothing Then Call ooKBOX.PCTBOX_MouseMove(sender, e)
    End Sub
    Private Sub PCTBOX_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PCTBOX.MouseUp
        If ooKBOX IsNot Nothing Then Call ooKBOX.PCTBOX_MouseUp(sender, e)
    End Sub
    Private Sub PCTBOX_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles PCTBOX.MouseLeave
        If ooKBOX IsNot Nothing Then Call ooKBOX.PCTBOX_MouseLeave()
    End Sub
#End Region

#Region "ooKBOX_イベント"
    Private Sub ooKBOX_IMEChangedByBtnClick(ByVal rNewImeMode As System.Windows.Forms.ImeMode) Handles ooKBOX.IMEChangedByBtnClick
        If ooKBOX IsNot Nothing Then Call ooKBOX.TBOX_ImeModeChanged()
    End Sub
    Private Sub ooKBOX_イベント_バージョン情報_DlgShow_Click() Handles ooKBOX.イベント_バージョン情報_DlgShow_Click
        Dim dlg As 四frmDlgAbout = New 四frmDlgAbout
        Call dlg.AboutBoxShow(Me)
        dlg.Dispose()
    End Sub
    Private Sub ooKBOX_イベント_終了_Click() Handles ooKBOX.イベント_終了_Click
        Me.Close()
    End Sub
    Private Sub ooKBOX_イベント_メインフォームのサイズメニュー_Op(ByVal op_Opening_0__Click_1 As Integer, ByVal rNewWindowState As FormWindowState, ByRef wmnuフォームサイズ最大化 As System.Windows.Forms.ToolStripMenuItem, ByRef wmnuフォームサイズ標準化 As System.Windows.Forms.ToolStripMenuItem, ByRef wmnuフォームサイズ最小化 As System.Windows.Forms.ToolStripMenuItem) Handles ooKBOX.イベント_メインフォームのサイズメニュー_Op
        If op_Opening_0__Click_1 = 0 Then
            wmnuフォームサイズ最大化.Enabled = (Me.WindowState <> FormWindowState.Maximized)
            wmnuフォームサイズ標準化.Enabled = (Me.WindowState <> FormWindowState.Normal)
            wmnuフォームサイズ最小化.Enabled = (Me.WindowState <> FormWindowState.Minimized)
        Else
            Try
                Me.WindowState = rNewWindowState
            Catch ex As Exception
            End Try
        End If
    End Sub
#End Region

#Region "TBOX_イベント"
    Private Sub TBOX_DragOver(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles TBOX.DragOver
        If ooKBOX IsNot Nothing Then Call ooKBOX.TBOX_DragOver(sender, e)
    End Sub
    Private Sub TBOX_DragDrop(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles TBOX.DragDrop
        If ooKBOX IsNot Nothing Then Call ooKBOX.TBOX_DragDrop(sender, e)
    End Sub
    Private Sub TBOX_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TBOX.TextChanged
        If ooKBOX IsNot Nothing Then Call ooKBOX.TBOX_TextChanged(sender, e)
    End Sub
    Private Sub TBOX_ImeModeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TBOX.ImeModeChanged
        If ooKBOX IsNot Nothing Then Call ooKBOX.TBOX_ImeModeChanged()
    End Sub
    Private Sub TBOX_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles TBOX.MouseUp
        If ooKBOX IsNot Nothing Then Call ooKBOX.TBOX_TextChanged(sender, e)
    End Sub
    Private Sub TBOX_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TBOX.KeyUp
        If ooKBOX IsNot Nothing Then Call ooKBOX.TBOX_TextChanged(sender, e)
    End Sub
#End Region

#Region "JiLISTBOX_イベント  JiKeyLbl_イベント"
    Private Sub JiLISTBOX_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles JiLISTBOX.MouseClick
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiLISTBOX_MouseClick(JiLISTBOX, e)
    End Sub
    Private Sub JiLISTBOX_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles JiLISTBOX.MouseDown
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiLISTBOX_MouseDown(sender, e)
    End Sub
    Private Sub JiLISTBOX_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles JiLISTBOX.MouseUp
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiLISTBOX_MouseUp(sender, e)
    End Sub
#End Region

#Region "KanLISTBOX_イベント"
    Private Sub KanLISTBOX_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles KanLISTBOX.MouseClick
        If ooKBOX IsNot Nothing Then Call ooKBOX.KanLISTBOX_MouseClick(KanLISTBOX, e)
    End Sub
    Private Sub KanLISTBOX_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles KanLISTBOX.MouseDown
        If ooKBOX IsNot Nothing Then Call ooKBOX.KanLISTBOX_MouseDown(sender, e)
    End Sub
    Private Sub KanLISTBOX_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles KanLISTBOX.MouseUp
        If ooKBOX IsNot Nothing Then Call ooKBOX.KanLISTBOX_MouseUp(sender, e)
    End Sub
    Private Sub btnJiKanListChg_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnJiKanListChg.Click
        If ooKBOX IsNot Nothing Then Call ooKBOX.btnJiKanListChg_Click()
    End Sub
#End Region

#Region "btnMENU, JiKeyLblClear, JiKeyLblEdit_イベント"
    Private Sub btnMENU_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnMENU.Click
        If ooKBOX IsNot Nothing Then Call ooKBOX.btnMENU_Click()
    End Sub
    Private Sub JiKeyLblinListBox_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles JiKeyLblinListBox.DoubleClick
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiKeyLblinListBox_DoubleClick()
    End Sub
    Private Sub JiKeyLblClear_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles JiKeyLblClear.Click
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiKeyLblClear_Click()
    End Sub
    Private Sub JiKeyLbl_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles JiKeyLbl.Click
        Call JiKeyLblClear_Click(Nothing, Nothing)
    End Sub
    Private Sub JiKeyLblEdit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles JiKeyLblEdit.Click
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiKeyLblEdit_Click()
    End Sub
    Private Sub JiKeyLbl_MouseDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles JiKeyLbl.MouseDoubleClick
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiKeyLbl_MouseDoubleClick()
    End Sub
    Private Sub JiKeyLbl_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles JiKeyLbl.MouseDown
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiKeyLbl_MouseDown(sender, e)
    End Sub
    Private Sub JiKeyLbl_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles JiKeyLbl.TextChanged
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiKeyLbl_TextChanged()
    End Sub
    Private Sub JiHisBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles JiHisBtn.Click
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiHisBtn_Click() ''  JiHisList.Visible = Not JiHisList.Visible
    End Sub
    Private Sub JiHisList_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles JiHisList.SelectedIndexChanged
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiHisList_SelectedIndexChanged(JiHisList)
    End Sub
    Private Sub PopMenuHisList_Opening(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles PopMenuHisList.Opening
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiHisList_DelMenuOP(0, mnuリスト削除, JiHisList)
    End Sub
    Private Sub mnuリスト削除_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles mnuリスト削除.Click
        If ooKBOX IsNot Nothing Then Call ooKBOX.JiHisList_DelMenuOP(1, mnuリスト削除, JiHisList)
    End Sub
    'Private Sub JiHisList_VisibleChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles JiHisList.VisibleChanged
    '    '2024/04/05 不要な呼び出し
    '    'If ooKBOX IsNot Nothing Then Call ooKBOX.JiHisList_VisibleChanged(JiHisList)
    'End Sub
#End Region

#Region "UserBoxPnl_MouseEnter"
    Private Sub UserBoxLbl1_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles UserBoxLbl1.MouseEnter, UserBoxLbl2.MouseEnter, UserBoxLbl3.MouseEnter, UserBoxLbl4.MouseEnter, UserBoxLbl5.MouseEnter, UserBoxLbl6.MouseEnter, UserBoxLbl7.MouseEnter, UserBoxLbl9.MouseEnter, UserBoxLbl10.MouseEnter, UserBoxLbl11.MouseEnter, UserBoxLbl12.MouseEnter, UserBoxLbl13.MouseEnter, UserBoxLbl14.MouseEnter, UserBoxLbl15.MouseEnter, UserBoxPnl.MouseEnter, UserBoxTxt.MouseEnter
        UserBoxPnl.Visible = False
    End Sub
    Private Sub frmMain_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.MouseEnter
        UserBoxPnl.Visible = False
    End Sub
    Private Sub SPRT_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles SPRT.MouseEnter
        UserBoxPnl.Visible = False
    End Sub
    Private Sub btnUser_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnUser.Click
        If ooKBOX IsNot Nothing Then Call ooKBOX.btnUser_Click()
    End Sub
    Private Sub btnUser_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnUser.MouseEnter
        If ooKBOX IsNot Nothing Then Call ooKBOX.btnUser_MouseEnter()
    End Sub
#End Region

End Class